<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package umctheme3
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('uu-card'); ?> data-aos="fade-up">
<a href="<?php the_permalink(); ?>">
	<?php if ( has_post_thumbnail() ) : ?>
	<div class="uu-card-img" style="background-image: url('<?php echo the_post_thumbnail_url() ?>');"></div>
	<?php endif; ?>
	<div class="uu-card-details">
		<div class="uu-card-body">
			<h3 class="uu-card-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
			<div class="uu-card-cats"><span style="text-transform: capitalize;">Type: <b><?php echo get_post_type(); ?></b></span></div>
			<p class="excerpt"><?php the_excerpt(); ?></p>
			<a href="<?php the_permalink(); ?>" class="uu-link">Read More</a>
		</div>
		<div class="uu-card-footer">
			<!-- A2A SOCIAL SHARING -->
			<!--
			<div class="a2a_kit a2a_default_style uu-card-social" data-a2a-url="[Post URL]" data-a2a-title="[Post Title]">
				<a class="a2a_button_copy_link" target="_blank" href="/#copy_link" rel="nofollow noopener">
					<i class="fa fa-link" aria-hidden="true"></i>
				</a>
				<a class="a2a_button_facebook" target="_blank" href="/#facebook" rel="nofollow noopener">
					<i class="fab fa-facebook-f" aria-hidden="true"></i>
				</a>
				<a class="a2a_button_twitter" target="_blank" href="/#twitter" rel="nofollow noopener">
					<i class="fab fa-twitter" aria-hidden="true"></i>
				</a>
			<div style="clear: both;"></div></div>
		-->
			<!-- end A2A SOCIAL SHARING -->
			<div class="uu-card-date">
				<?php echo get_the_date(); ?>
			</div>
		</div>
	</div>
</a>
</article><!-- #post-<?php the_ID(); ?> -->
